%define upstream_name DBI
%define upstream_version 1.643

%global __requires_exclude perl\\(Coro[^)]*\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
%define subrel 1
Release:    %mkrel 4

Summary:    The Perl Database Interface
License:    GPL+
Group:      Development/Perl
Url:        http://dbi.perl.org/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/DBI/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     CVE-2014-10402.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.480.0
BuildRequires: perl(Test::Simple) >= 0.900.0
BuildRequires: perl-devel
%{?perl_default_filter}
Obsoletes:  perl-DBI-proxy < 1.643.0-4

%description
The Perl Database Interface (DBI) is a database access Application Programming
Interface (API) for the Perl Language. The Perl DBI API specification defines a
set of functions, variables and conventions that provide a consistent database
interface independent of the actual database being used.

%package	ProfileDumper-Apache
Group:      Development/Perl
Summary:    DBI profiling data for mod_perl
Requires:   %{name} = %{version}
%description ProfileDumper-Apache
This module interfaces DBI::ProfileDumper to Apache/mod_perl. Using this
module you can collect profiling data from mod_perl applications. It
works by creating a DBI::ProfileDumper data file for each Apache
process. These files are created in your Apache log directory. You can
then use dbiprof to analyze the profile files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
chmod 755 ex

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make CFLAGS="%{optflags}"

%check
rm -f t/zvg_85gofer t/pod.t
%__make test

%install
%make_install

# remove Win32 stuff
rm -rf %{buildroot}%{perl_vendorarch}/Win32
rm -f %{buildroot}%{perl_vendorarch}/DBI/W32ODBC.pm
rm -f %{buildroot}%{perl_vendorarch}/Roadmap.pod
rm -f %{buildroot}%{perl_vendorarch}/DBI/Roadmap.pm
rm -f %{buildroot}%{perl_vendorarch}/TASKS.pod
rm -f %{buildroot}%{perl_vendorarch}/DBI/TASKS.pm
rm -f %{buildroot}%{_mandir}/man3*/Win32::DBIODBC.3pm*
rm -f %{buildroot}%{_mandir}/man3*/DBI::W32ODBC.3pm*
rm -f %{buildroot}%{_mandir}/man3*/Roadmap.3pm*
rm -f %{buildroot}%{_mandir}/man3*/TASKS.3pm*
# Fix upstream perm bug #3053
chmod 644 META.yml

find %{buildroot} -iname '*proxy*' -delete

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml ex
%{_bindir}/dbiprof
%{_bindir}/dbilogstrip
%{_mandir}/*/*
%exclude %{_mandir}/man3*/DBI::ProfileDumper::Apache.3pm*
%{perl_vendorarch}/Bundle
%{perl_vendorarch}/DBD
%{perl_vendorarch}/dbixs_rev.pl
%{perl_vendorarch}/DBI.pm
%{perl_vendorarch}/DBI
%exclude %{perl_vendorarch}/DBI/ProfileDumper
%exclude %{perl_vendorarch}/DBI/ProfileDumper.pm
%{perl_vendorarch}/auto/DBI

%files ProfileDumper-Apache
%{perl_vendorarch}/DBI/ProfileDumper
%{perl_vendorarch}/DBI/ProfileDumper.pm
%{_mandir}/man3*/DBI::ProfileDumper::Apache.3pm.*


%changelog
* Thu Sep 02 2021 ns80 <ns80> 1.643.0-4.1.mga8
+ Revision: 1744035
- add patch from Ubuntu for CVE-2014-10402 (mga#29327)

* Sat Jan 02 2021 luigiwalser <luigiwalser> 1.643.0-4.mga8
+ Revision: 1668107
- obsolete proxy subpackage

* Wed Jun 17 2020 umeabot <umeabot> 1.643.0-3.mga8
+ Revision: 1594528
- Rebuild for perl 5.32

* Fri Feb 21 2020 umeabot <umeabot> 1.643.0-2.mga8
+ Revision: 1547842
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 1.643.0-1.mga8
+ Revision: 1488481
- update to 1.643

* Mon Aug 26 2019 tmb <tmb> 1.642.0-2.mga8
+ Revision: 1432657
- rebuild for perl 5.30

* Tue Oct 30 2018 tv <tv> 1.642.0-1.mga7
+ Revision: 1326610
- update to 1.642

* Fri Sep 21 2018 umeabot <umeabot> 1.641.0-3.mga7
+ Revision: 1292677
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 pterjan <pterjan> 1.641.0-2.mga7
+ Revision: 1247483
- Rebuild for perl 5.28

* Tue Mar 20 2018 shlomif <shlomif> 1.641.0-1.mga7
+ Revision: 1210568
- update to 1.641

* Fri Feb 09 2018 tv <tv> 1.640.0-1.mga7
+ Revision: 1199868
- update to 1.640

* Fri Dec 29 2017 tv <tv> 1.639.0-1.mga7
+ Revision: 1186945
- update to 1.639

* Mon Oct 02 2017 tv <tv> 1.637.0-2.mga7
+ Revision: 1163900
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.637.0-1.mga7
+ Revision: 1154300
- new release

* Thu Aug 31 2017 pterjan <pterjan> 1.636.0-5.mga7
+ Revision: 1148936
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.636.0-4.mga7
+ Revision: 1127645
- Rebuild against new Perl 5.26

* Sat Jul 22 2017 neoclust <neoclust> 1.636.0-3.mga7
+ Revision: 1126421
- Rebuild against new perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.636.0-2.mga6
+ Revision: 1025418
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 1.636.0-1.mga6
+ Revision: 1007476
- update to 1.636

* Fri Feb 12 2016 umeabot <umeabot> 1.634.0-2.mga6
+ Revision: 957137
- Mageia 6 Mass Rebuild

* Wed Aug 05 2015 sander85 <sander85> 1.634.0-1.mga6
+ Revision: 861305
- update to 1.634

* Fri Jun 26 2015 tv <tv> 1.633.0-3.mga6
+ Revision: 844836
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.633.0-2.mga6
+ Revision: 840576
- Rebuild for new perl

* Mon Jun 22 2015 sander85 <sander85> 1.633.0-1.mga6
+ Revision: 838590
- update to 1.633

* Thu Jan 08 2015 shlomif <shlomif> 1.631.0-6.mga5
+ Revision: 809296
- Blacklist Coro from the requires

* Wed Oct 15 2014 umeabot <umeabot> 1.631.0-5.mga5
+ Revision: 749735
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.631.0-4.mga5
+ Revision: 735546
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.631.0-3.mga5
+ Revision: 684098
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.631.0-2.mga5
+ Revision: 630738
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 1.631.0-1.mga5
+ Revision: 588309
- update to 1.631

* Sat Oct 19 2013 umeabot <umeabot> 1.628.0-2.mga4
+ Revision: 530330
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 1.628.0-1.mga4
+ Revision: 457266
- update to 1.628

* Wed May 29 2013 jquelin <jquelin> 1.627.0-2.mga4
+ Revision: 430615
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.627.0-1.mga4
+ Revision: 430214
- adjust file list
- new release
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.623.0-2.mga3
+ Revision: 365052
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.623.0-1.mga3
+ Revision: 342039
- update to 1.623

* Sat Jun 09 2012 jquelin <jquelin> 1.622.0-1.mga3
+ Revision: 258873
- update to 1.622

* Wed Jun 06 2012 jquelin <jquelin> 1.621.0-1.mga3
+ Revision: 256128
- update to 1.621

* Wed May 30 2012 jquelin <jquelin> 1.618.0-3.mga3
+ Revision: 250497
- rebuild for perl 5.16

* Thu Apr 26 2012 jquelin <jquelin> 1.618.0-2.mga2
+ Revision: 233352
- fix examples perms (mga#5621)

* Mon Mar 05 2012 jquelin <jquelin> 1.618.0-1.mga2
+ Revision: 218695
- update to 1.618

* Thu Feb 23 2012 jquelin <jquelin> 1.617.0-1.mga2
+ Revision: 212809
- update to 1.617

* Tue Dec 06 2011 barjac <barjac> 1.616.0-5.mga2
+ Revision: 177892
- Fix perm - bug #3053 and some cleaning

* Sat Jun 11 2011 sander85 <sander85> 1.616.0-4.mga2
+ Revision: 103921
- perl 5.14

* Tue Jan 18 2011 blino <blino> 1.616.0-3.mga1
+ Revision: 23263
- rebuild for new perl

* Sun Jan 09 2011 jquelin <jquelin> 1.616.0-2.mga1
+ Revision: 2392
- imported package perl-DBI

